﻿using C1.Win.C1FlexGrid;
using System.Collections.Generic;
using System.Data;
using System.Windows.Forms;

namespace FlexGrid_DisableSortingAfterEdit
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1FlexGrid1.DataSource = DatabaseCall();
            c1FlexGrid1.AllowAddNew = true;
            c1FlexGrid1.KeyActionEnter = KeyActionEnum.MoveAcross;
            //c1FlexGrid1.EditOptions = EditFlags.DelayedCommit;

            c1FlexGrid1.AllowSorting = AllowSortingEnum.MultiColumn;

            c1FlexGrid1.GroupDescriptions = new List<GroupDescription>
            {
                new GroupDescription("Category", System.ComponentModel.ListSortDirection.Ascending, false),
                new GroupDescription("Age", System.ComponentModel.ListSortDirection.Ascending, false)
            };
        }

        DataTable DatabaseCall()
        {
            return new DataTable()
            {
                Columns =
                {
                    new DataColumn("ID", typeof(int)),
                    "Name",
                    "Category",
                    new DataColumn("Age", typeof(int))
                },
                Rows =
                {
                    {1, "Name1", "NA", 44 },
                    {2, "Name2", "NA", 33 },
                    {3, "Name3", "SUB", 23 },
                    {4, "Name4", "SUB", 33 },
                    {5, "Name5", "NA", 55 },
                    {6, "Name6", "NA", 44 },
                    {7, "Name7", "NA", 55 },
                    {8, "Name8", "SUB", 33 },
                    {9, "Name9", "SUB", 23 },
                    {0, "Name0", "NA", 23 }
                }
            };
        }
    }
}
